/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_general_styling.scss';
@import 'css/_variables.scss';

.evidenceForm {
  font-family: 'Rubik', sans-serif;

  &__body {
    margin: 1.4rem 0;

    &__title {
      color: $coa-primary;
      font-size: 32px;
      font-weight: 500;
      line-height: 38px;
      margin-bottom: 2.2rem;

      span:first-of-type {
        padding-bottom: 2px;
        border-bottom: 3px solid $coa-primary;
      }
    }

    &__text {
      font-size: 16px;
      line-height: 22.4px;

      &__top {
        color: $on-surface;
        margin: 0;
        font-weight: 400 !important;
      }

      &__bottom {
        margin: 0;
        color: $on-surface;
        font-weight: 500 !important;
      }
    }

    &__form {
      margin-top: 0.75rem;

      &__group {
        box-sizing: border-box;
        font-size: 0.9rem;
        border-bottom: 1px solid #9ca6b8;
        padding: 1.5rem 0;
        align-items: flex-start;
        gap: 1rem;
        justify-content: space-between;
        display: flex;
        flex-direction: column;

        @media (min-width: 800px) {
          flex-direction: row;
        }

        .evidenceType,
        .transactionType {
          display: flex;
          flex-direction: column;
          width: 100%;
          gap: 1rem;

          & > div {
            box-sizing: border-box;
            display: flex;
            gap: 1rem;
            max-width: 412px;
            align-items: center;

            @media (min-width: 800px) {
              box-sizing: content-box;
              width: 180px;
            }
          }

          @media (min-width: 800px) {
            flex-direction: row;
            width: 412px;
            flex-wrap: nowrap !important;
          }
        }

        .formDivInput {
          width: 100%;
          max-width: 412px;

          @media (min-width: 800px) {
            width: 412px;
          }
        }

        .itemInput {
          height: 40px;
        }

        input[type='text'],
        input[type='number'],
        textarea {
          box-sizing: border-box;
          width: 100%;
          max-width: 412px;
          border: 1px solid #e5e6ed;
          border-radius: 4px;
          outline: none;
          padding: 0.75rem;

          &:focus-visible {
            outline: navajowhite;
          }

          &::placeholder {
            color: #728099;
          }
        }

        .formDivBorder {
          border: 1px solid #e5e6ed;
          padding: 0.5rem 0.75rem;
          border-radius: 4px;
        }

        .formDivTitle {
          margin: 0;

          color: #26385b;
          font-weight: bold;

          &::before {
            content: '* ';
            color: red;
          }
        }

        .formDIvInfo {
          max-width: 500px;

          span:first-of-type {
            font-weight: 500;
          }

          margin: 0;
          color: #9ca6b8;

          @media (min-width: 800px) {
            max-width: 300px;
          }

          ul {
            padding: 0;
            li {
              list-style: none;
            }
          }
        }

        .formDivAmount {
          display: flex;
          gap: 1rem;
          height: 40px;

          input {
            flex-basis: 75%;
          }

          input:hover,
          input:focus {
            border-color: #40a9ff;
            border-right-width: 1px !important;
          }

          .formCurrency {
            background: #eff0f4;
            border: 1px solid #e5e6ed;
            border-radius: 4px;
            flex-basis: 25%;
            padding: 0.5rem;
            color: #728099;
          }

          .formCurrencyValue {
            background: #eff0f4;
            border: 1px solid #e5e6ed;
            border-radius: 4px;
            color: #728099;
          }
          .formCurrencyValue:hover {
            border: 1px solid #e5e6ed;
          }
        }
      }

      &__btns {
        display: flex;
        flex-direction: row !important;
        gap: 2rem;
        border-bottom: transparent;

        @media (min-width: 800px) {
          justify-content: flex-end;
        }
      }
    }
  }

  &__select {
    .ant-select-selection-selected-value {
      float: none;
    }
    &__option {
      width: 100%;
      display: flex;
      justify-content: space-between;
      &__date {
        @include primary-text(0.875rem, $coa-primary, 400);
        margin-right: 0.625rem;
        @include breakpoint(sm) {
          font-size: 0.75rem;
        }
      }
      &__hour {
        @include primary-text(0.875rem, $coa-grey-100, 400);
        @include breakpoint(sm) {
          font-size: 0.75rem;
        }
      }
      &__txValue {
        @include primary-text(0.875rem, $coa-dark-gray-100, 600);
        @include breakpoint(sm) {
          font-size: 0.75rem;
        }
      }
    }
  }
}

.evidenceForm__upload {
  .anticon-close {
    width: 1rem;
    height: 1rem;
    top: 3px !important;
    opacity: 1 !important;
  }

  .anticon-close::before {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('/static/images/trashCan.svg');
  }

  .anticon-close svg {
    display: none;
  }
}
